#ifndef BROADCAST_BENCH_H_
#define BROADCAST_BENCH_H_

#include "broadcast.h"
#include "topo.h"

typedef struct {
  char *bench_name;
  int rank;
  int size;
  bool verbose;
  int warmup;
  int iterations;

  char *msgsizes_str;
  char *types_str;
  bool verify_bcast;
  bool verify_bcast_every_iter;

  Topology topology;
  BroadcastCtx ctx;
} BroadcastBenchOpts;

void broadcast_bench(BroadcastBenchOpts opts);

#endif // BROADCAST_BENCH_H_
