#!/usr/bin/env python3

import argparse
import numpy as np
import pandas as pd

from matplotlib import pyplot as plt

from common import read_mat

parser = argparse.ArgumentParser(prog="Eigenvalue processor")
parser.add_argument("file")
parser.add_argument("--offset-x", default=0, type=int)
parser.add_argument("--offset-y", default=0, type=int)
parser.add_argument("--limit-x", default=-1, type=int)
parser.add_argument("--limit-y", default=-1, type=int)

args = parser.parse_args()

m = read_mat(args.file)
m = m[args.offset_y:args.limit_y,args.offset_x:args.limit_x]

plt.matshow(m)
plt.colorbar()
plt.show()
