#ifndef UTILS_H_
#define UTILS_H_

#define ASSERT_MPI_OK(val) (assert((val) == MPI_SUCCESS))

#define LOG(fmt, ...)                                                          \
  do {                                                                         \
    fprintf(stderr, "%s:%d " fmt, __FILE__, __LINE__, __VA_ARGS__);            \
  } while (0)

#endif // UTILS_H_
